// %flair:license{
// This file is part of the Flair framework distributed under the
// CECILL-C License, Version 1.0.
// %flair:license}
#ifndef LISTWIDGET_H
#define LISTWIDGET_H

#include "FormLayout.h"

class QListWidget;
class Layout;
class QStringList;
class QListWidgetItem;
class QPalette;

class ListWidget : public FormLayout {
  Q_OBJECT

public:
  ListWidget(Layout *parent, int row, int col, QString name);
  ListWidget(Layout *parent, int row, int col, QString name, QStringList& items);
  ~ListWidget();

private:
  QListWidget* listwidget;
  int current_item_row;
  bool is_up_to_date;
  QPalette list_red_pal;
  QPalette list_black_pal;
  void XmlEvent(QDomElement dom);
  void SetUptodate(void);
  void Reset(void);
  void LoadEvent(QDomElement dom);
  bool IsUptodate(void);

  void ui_to_var(void);
  void ui_to_xml(void);

private slots:
  void SelectedItemChanged(int current_row);
};

#endif // LISTWIDGET_H
